umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdCreateDiagram Class Reference

`#include <cmdcreatediagram.h>`

Inheritance diagram for Uml::CmdCreateDiagram:

## Public Member Functions
| CmdCreateDiagram (UMLDoc *doc, Uml::DiagramType::Enum type, const QString &name, UMLFolder *parent=0)
| ~CmdCreateDiagram ()
void | redo ()
void | undo ()
UMLView * | view ()

## Private Attributes
QString | m_name
Uml::DiagramType::Enum | m_type
UMLDoc * | m_pUMLDoc
UMLView * | m_pUMLView
Uml::ID::Type | m_sceneId
UMLFolder * | m_parent

## Constructor & Destructor Documentation

## ◆ CmdCreateDiagram()

Uml::CmdCreateDiagram::CmdCreateDiagram | ( | UMLDoc * | doc,
|  | Uml::DiagramType::Enum | type,
|  | const QString & | name,
|  | UMLFolder * | parent = 0 )
| explicit

## ◆ ~CmdCreateDiagram()

Uml::CmdCreateDiagram::~CmdCreateDiagram | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdCreateDiagram::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdCreateDiagram::undo | ( |  | ) |

## ◆ view()

UMLView * Uml::CmdCreateDiagram::view | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_name

QString Uml::CmdCreateDiagram::m_name
| private

## ◆ m_parent

UMLFolder* Uml::CmdCreateDiagram::m_parent
| private

## ◆ m_pUMLDoc

UMLDoc* Uml::CmdCreateDiagram::m_pUMLDoc
| private

## ◆ m_pUMLView

UMLView* Uml::CmdCreateDiagram::m_pUMLView
| private

## ◆ m_sceneId

Uml::ID::Type Uml::CmdCreateDiagram::m_sceneId
| private

## ◆ m_type

Uml::DiagramType::Enum Uml::CmdCreateDiagram::m_type
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/cmdcreatediagram.h
- umbrello/cmds/cmdcreatediagram.cpp